%define tarball xorg-input-wizardpen
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir %{moduledir}/input


Name:           xorg-x11-drv-wizardpen
Summary:        Xorg X11 wizardpen graphics pad/tablet input driver
Version:        0.8.1
Release:        1%{?dist}
URL:            https://launchpad.net/wizardpen
License:        GPLv2+
Group:          User Interface/X Hardware Support

Source0:        http://launchpadlibrarian.net/71396523/%{tarball}-%{version}.tar.bz2

ExcludeArch:    s390 s390x

BuildRequires:  libtool pkgconfig
BuildRequires:  xorg-x11-server-sdk >= 1.6.0-2
BuildRequires:  libX11-devel libXi-devel
BuildRequires:  xorg-x11-util-macros >= 1.8.0

Requires:	Xorg %(xserver-sdk-abi-requires ansic)
Requires:	Xorg %(xserver-sdk-abi-requires xinput)
Requires:       udev


%description
A Linux/HAL/udev/X11 driver for most non-Wacom graphics pads. Please
add yourself to: https://launchpad.net/~wizardpen-testers to help test
this hardware.

Supported tablets: Acecad Flair II GT-504, DigiPro 5.5×4” Graphics
Tablet, Digital Ink Pad (A4 format), G-pen, Genius Wizardpen, Genius
Mousepen, Genius Easypen i405, Genius, iBall, Manhattan, Pentagram,
QWare, Trust TB-3100, Trust TB-5300, Trust TB-6300, UC-LOGIC, iBall
Tablet PF8060, AIPTEK HyperPen 10000 U, AIPTEK Slim Tablet U600
Premium II

%prep
%setup -q -n %{tarball}-%{version}

%build
autoreconf -v --install --force || exit 1
%configure --with-xorg-module-dir=%{moduledir} --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --


%files
%doc COPYING
%{_datadir}/X11/xorg.conf.d/70-wizardpen.conf
%{_bindir}/wizardpen-calibrate
%{driverdir}/wizardpen_drv.so
%{_mandir}/man4/wizardpen.4*
/etc/udev/rules.d/67-xorg-wizardpen.rules


%changelog
* Thu Jun 16 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.8.1-1
- First packaged version

